<template>
  <div>
    <img :src="generatedUrl" alt="" height="200px" @click="$refs.modalName.openModal();" />


    <modal ref="modalName">
      <template v-slot:header>
        <h1>Adresse de la prestation</h1>
      </template>

      <template v-slot:body>
        <open-map
            :center="center"
            :lat="center.lat"
            :lng="center.lng"
            width="100%"
            height="300px"
        ></open-map>
      </template>

      <template v-slot:footer>
        <div>
          <button @click="$refs.modalName.closeModal()" class="btn btn-success">OK</button>
        </div>
      </template>
    </modal>
  </div>

</template>

<script>
import Modal from "./Modal"
import OpenMap from "./OpenMap";

export default {
  name: "MapItem",
  components: {
    OpenMap,
    Modal
  },
  props: {
    lat: {
      type: Number,
      required: true
    },
    lon: {
      type: Number,
      required: true
    }
  },
  data() {
    return {
      center: {
        lat: this.lat,
        lng: this.lon
      }
    }
  },
  computed: {
    generatedUrl() {
      return `https://api.mapbox.com/styles/v1/mapbox/streets-v11/static/pin-s+555555(${this.lon},${this.lat})/${this.lon},${this.lat},15,0/300x200?access_token=`+OPEN_API_KEY;
    },
    getLat(){
      return `${this.lat}`
    },
    getLng(){
      return `${this.lon}`
    }
  }
}
</script>

<style scoped>
.overflow-hidden {
  overflow: hidden;
}
.modal {
  display: block;
  z-index: 99999;
}
</style>